require 'uri'

class EventsController < ApplicationController

  def index
  end

  def show
#    @event = params[:event]
    @event = params
    @category_and_spot =[]
    @categories = []
    if @event['latitude'] != ""
      event_lat = @event['latitude'].to_f
      event_longi = @event['longitude'].to_f
      refine_arround(event_lat, event_longi)
    end
    save_params_in_cookie

#    render 'show', :layout => false
    render '/events/show', :layout => 'application'
  end

  def get_event
    # イベントを直近のものから順に表示させるために配列を反転させる
    @events = params[:events].values.reverse
    render :partial => 'event_list', :layout => false
  end

  def refine_arround(lat, longi)
    categories = Category.where('organization_id = ? and parent_id = ?', @organization.id, 0).order('sort_number')
    categories.each do |category|
      category.sub_categories.each do |sub_category|
        sub_category_spots = []
        sub_category_spots = sub_category.near_all_dist_catego_spots(lat, longi)
        if sub_category_spots.present?
          sub_category_spots.sort_by!{|dist, spot, category| dist}
          i = 0
          sub_category_spots.each do |dist, spot, category|
            if i < 3
              @category_and_spot << [dist, spot, category]
              @categories << category
            end
            i += 1
          end
        end
      end
    end
  end

end
