class CreateSpotCategories < ActiveRecord::Migration
  def self.up
    create_table :spot_categories do |t|
      t.integer   :spot_id,     :null => false
      t.integer   :category_id, :null => false
      t.timestamps
    end
    add_index   :spot_categories,   :spot_id
    add_index   :spot_categories,   :category_id
  end

  def self.down
    drop_table :spot_categories
  end
end
