module SessionsHelper

  # スポット区分のソート番号によりh2タグのクラスを切り替える
  def devision_h2_class(number)
    case number
      when 1
        "power-heading"
      when 2
        "kojiki-heading"
      when 3
        "view-heading"
      when 4
        "osusume-heading"
    end
  end

  # スポット区分のソート番号によりulタグのクラスを切り替える
  def devision_ul_class(number)
    case number
      when 1
        "linklist-pink-2line"
      when 2
        "linklist-purple-2line"
      when 3
        "linklist-ygreen-2line"
      when 4
        "linklist-blue-2line"
    end
  end

  # スポット区分のソート番号によりliタグのクラスを切り替える
  def devision_li_class(number)
    case number
      when 1
        "top-box-yori-link-power"
      when 2
        "top-box-yori-link-kojiki"
      when 3
        "top-box-yori-link-view"
      when 4
        "top-box-yori-link-osusume"
    end
  end
end
