class Organization < ActiveRecord::Base

  #   organization.distance(latitude, longitude, boolean) -> float
  #     
  # ヒュベニの計算式により緯度・経度から、代入された座標との直線距離を返す
  # 
  #   organization = organization.new(dest_latitude: 35.395672, dest_longitude: 132.869297)
  #   organization.distance(35.405683, 132.869298)
  #   #=> 1.1
  #   organization.distance(35.405683, 132.869298, true)
  #   #=> 1.11
  def distance(lat,longi)
    dp = (self.dest_latitude - lat).abs
    dr = (self.dest_longitude - longi).abs
    p = ((self.dest_latitude + lat) / 2)*Math::PI/180
    t = (1-0.006674*Math.sin(p)*Math.sin(p))
    m = 6334834 / (Math::sqrt(t*t*t))
    n = 6377397 / (Math::sqrt(t))
    return ((Math::sqrt((m*dp*Math::PI/180)*(m*dp*Math::PI/180)+(n*Math.cos(p)*dr*Math::PI/180)*(n*Math.cos(p)*dr*Math::PI/180)))/100).round/10.0
  end

end
