class CreateSpots < ActiveRecord::Migration

  def self.up
    create_table :spots do |t|
      t.integer   :organization_id,	:null => false
      t.string    :name
      t.string    :city
      t.string    :address
      t.string    :tel,             :limit => 15
      t.text      :url
      t.text      :memo
      t.float     :latitude
      t.float     :longitude
      t.text      :coupon
      t.text      :treasure
      t.string    :hashtag
      t.timestamps
    end
    add_index :spots, :organization_id
  end

  def self.down
    drop_table :spots
  end
end
