class CreateSpotDivisions < ActiveRecord::Migration
  def self.up
    create_table :spot_divisions do |t|
      t.integer   :spot_id,     :null => false
      t.integer   :division_id, :null => false
      t.timestamps
    end
    add_index   :spot_divisions,   :spot_id
    add_index   :spot_divisions,   :division_id
  end

  def self.down
    drop_table :spot_divisions
  end
end
